// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.4
// source: proto/logon.proto

package base

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//客户端类型
type ClientType int32

const (
	//未知
	ClientType_UNKNOWN ClientType = 0
	// web客户端
	ClientType_WEBCLIENT ClientType = 1
	// 安卓客户端
	ClientType_ANDROIDCLIENT ClientType = 2
	// ios客户端
	ClientType_IOSCLIENT ClientType = 3
	// pc客户端
	ClientType_PCCLIENT ClientType = 4
	// embed嵌入式客户端
	ClientType_EMBEDCLIENT ClientType = 5
)

// Enum value maps for ClientType.
var (
	ClientType_name = map[int32]string{
		0: "UNKNOWN",
		1: "WEBCLIENT",
		2: "ANDROIDCLIENT",
		3: "IOSCLIENT",
		4: "PCCLIENT",
		5: "EMBEDCLIENT",
	}
	ClientType_value = map[string]int32{
		"UNKNOWN":       0,
		"WEBCLIENT":     1,
		"ANDROIDCLIENT": 2,
		"IOSCLIENT":     3,
		"PCCLIENT":      4,
		"EMBEDCLIENT":   5,
	}
)

func (x ClientType) Enum() *ClientType {
	p := new(ClientType)
	*p = x
	return p
}

func (x ClientType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ClientType) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_logon_proto_enumTypes[0].Descriptor()
}

func (ClientType) Type() protoreflect.EnumType {
	return &file_proto_logon_proto_enumTypes[0]
}

func (x ClientType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ClientType.Descriptor instead.
func (ClientType) EnumDescriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{0}
}

//登录回应码
type LogonRespCode int32

const (
	//成功
	LogonRespCode_Success LogonRespCode = 0
	//系统编号错误
	LogonRespCode_SysErr LogonRespCode = 1
	//用户名错误
	LogonRespCode_UserNameErr LogonRespCode = 2
	//密码错误
	LogonRespCode_PassErr LogonRespCode = 3
	//密码编码方式错误
	LogonRespCode_PassHashMethodErr LogonRespCode = 4
	// ssesionid错误
	LogonRespCode_SessionIDErr LogonRespCode = 5
	//客户端时间相差过大
	LogonRespCode_ClientTimeErr LogonRespCode = 6
	//未知错误
	LogonRespCode_UnknownErr LogonRespCode = 15
)

// Enum value maps for LogonRespCode.
var (
	LogonRespCode_name = map[int32]string{
		0:  "Success",
		1:  "SysErr",
		2:  "UserNameErr",
		3:  "PassErr",
		4:  "PassHashMethodErr",
		5:  "SessionIDErr",
		6:  "ClientTimeErr",
		15: "UnknownErr",
	}
	LogonRespCode_value = map[string]int32{
		"Success":           0,
		"SysErr":            1,
		"UserNameErr":       2,
		"PassErr":           3,
		"PassHashMethodErr": 4,
		"SessionIDErr":      5,
		"ClientTimeErr":     6,
		"UnknownErr":        15,
	}
)

func (x LogonRespCode) Enum() *LogonRespCode {
	p := new(LogonRespCode)
	*p = x
	return p
}

func (x LogonRespCode) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (LogonRespCode) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_logon_proto_enumTypes[1].Descriptor()
}

func (LogonRespCode) Type() protoreflect.EnumType {
	return &file_proto_logon_proto_enumTypes[1]
}

func (x LogonRespCode) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use LogonRespCode.Descriptor instead.
func (LogonRespCode) EnumDescriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{1}
}

//客户端信息
type ClientInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//客户端型号
	Model string `protobuf:"bytes,1,opt,name=Model,proto3" json:"Model,omitempty"`
	//客户端版本
	Version string `protobuf:"bytes,2,opt,name=Version,proto3" json:"Version,omitempty"`
	//客户端渠道
	Channel string `protobuf:"bytes,3,opt,name=Channel,proto3" json:"Channel,omitempty"`
}

func (x *ClientInfo) Reset() {
	*x = ClientInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClientInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClientInfo) ProtoMessage() {}

func (x *ClientInfo) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClientInfo.ProtoReflect.Descriptor instead.
func (*ClientInfo) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{0}
}

func (x *ClientInfo) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *ClientInfo) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *ClientInfo) GetChannel() string {
	if x != nil {
		return x.Channel
	}
	return ""
}

//登录请求
type LoginReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//系统编号
	Sys string `protobuf:"bytes,1,opt,name=Sys,proto3" json:"Sys,omitempty"`
	//用户名
	UserName string `protobuf:"bytes,2,opt,name=UserName,proto3" json:"UserName,omitempty"`
	//密码
	PassHash []byte `protobuf:"bytes,3,opt,name=PassHash,proto3" json:"PassHash,omitempty"`
	//密码编码方式
	// 0:sha256(UpperHex(sha256(Sys+UserName+Pass))+UpperHex(ClientTime)) UpperHex return a utf8 string
	// 1:ssesionid
	PassHashMethod int32 `protobuf:"varint,4,opt,name=PassHashMethod,proto3" json:"PassHashMethod,omitempty"`
	// password salt
	Salt string `protobuf:"bytes,5,opt,name=Salt,proto3" json:"Salt,omitempty"`
	//客户端时间戳，unix时间，单位为秒
	// the number of seconds elapsed since January 1, 1970 UTC
	ClientTime int64 `protobuf:"varint,6,opt,name=ClientTime,proto3" json:"ClientTime,omitempty"`
	//客户端类型
	ClientType ClientType `protobuf:"varint,7,opt,name=ClientType,proto3,enum=base.ClientType" json:"ClientType,omitempty"`
	//客户端info, 可选
	ClientInfo *ClientInfo `protobuf:"bytes,8,opt,name=ClientInfo,proto3" json:"ClientInfo,omitempty"`
}

func (x *LoginReq) Reset() {
	*x = LoginReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LoginReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LoginReq) ProtoMessage() {}

func (x *LoginReq) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LoginReq.ProtoReflect.Descriptor instead.
func (*LoginReq) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{1}
}

func (x *LoginReq) GetSys() string {
	if x != nil {
		return x.Sys
	}
	return ""
}

func (x *LoginReq) GetUserName() string {
	if x != nil {
		return x.UserName
	}
	return ""
}

func (x *LoginReq) GetPassHash() []byte {
	if x != nil {
		return x.PassHash
	}
	return nil
}

func (x *LoginReq) GetPassHashMethod() int32 {
	if x != nil {
		return x.PassHashMethod
	}
	return 0
}

func (x *LoginReq) GetSalt() string {
	if x != nil {
		return x.Salt
	}
	return ""
}

func (x *LoginReq) GetClientTime() int64 {
	if x != nil {
		return x.ClientTime
	}
	return 0
}

func (x *LoginReq) GetClientType() ClientType {
	if x != nil {
		return x.ClientType
	}
	return ClientType_UNKNOWN
}

func (x *LoginReq) GetClientInfo() *ClientInfo {
	if x != nil {
		return x.ClientInfo
	}
	return nil
}

//登录回应
type LoginResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//登录回应码
	Code LogonRespCode `protobuf:"varint,1,opt,name=Code,proto3,enum=base.LogonRespCode" json:"Code,omitempty"`
	//登录成功后的sessionid
	SessionID []byte `protobuf:"bytes,2,opt,name=SessionID,proto3" json:"SessionID,omitempty"`
	//提示/错误信息
	Info string `protobuf:"bytes,15,opt,name=Info,proto3" json:"Info,omitempty"`
}

func (x *LoginResp) Reset() {
	*x = LoginResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LoginResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LoginResp) ProtoMessage() {}

func (x *LoginResp) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LoginResp.ProtoReflect.Descriptor instead.
func (*LoginResp) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{2}
}

func (x *LoginResp) GetCode() LogonRespCode {
	if x != nil {
		return x.Code
	}
	return LogonRespCode_Success
}

func (x *LoginResp) GetSessionID() []byte {
	if x != nil {
		return x.SessionID
	}
	return nil
}

func (x *LoginResp) GetInfo() string {
	if x != nil {
		return x.Info
	}
	return ""
}

//登出请求
type LogoutReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// sys
	Sys string `protobuf:"bytes,1,opt,name=Sys,proto3" json:"Sys,omitempty"`
	// username
	UserName string `protobuf:"bytes,2,opt,name=UserName,proto3" json:"UserName,omitempty"`
	// sessionid
	SessionID []byte `protobuf:"bytes,3,opt,name=SessionID,proto3" json:"SessionID,omitempty"`
}

func (x *LogoutReq) Reset() {
	*x = LogoutReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LogoutReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LogoutReq) ProtoMessage() {}

func (x *LogoutReq) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LogoutReq.ProtoReflect.Descriptor instead.
func (*LogoutReq) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{3}
}

func (x *LogoutReq) GetSys() string {
	if x != nil {
		return x.Sys
	}
	return ""
}

func (x *LogoutReq) GetUserName() string {
	if x != nil {
		return x.UserName
	}
	return ""
}

func (x *LogoutReq) GetSessionID() []byte {
	if x != nil {
		return x.SessionID
	}
	return nil
}

//登出回应
type LogoutResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//登出回应码
	Code LogonRespCode `protobuf:"varint,1,opt,name=Code,proto3,enum=base.LogonRespCode" json:"Code,omitempty"`
}

func (x *LogoutResp) Reset() {
	*x = LogoutResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LogoutResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LogoutResp) ProtoMessage() {}

func (x *LogoutResp) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LogoutResp.ProtoReflect.Descriptor instead.
func (*LogoutResp) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{4}
}

func (x *LogoutResp) GetCode() LogonRespCode {
	if x != nil {
		return x.Code
	}
	return LogonRespCode_Success
}

type ChangePasswordReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// sys
	Sys string `protobuf:"bytes,1,opt,name=Sys,proto3" json:"Sys,omitempty"`
	// username
	UserName string `protobuf:"bytes,2,opt,name=UserName,proto3" json:"UserName,omitempty"`
	// sessionid
	SessionID []byte `protobuf:"bytes,3,opt,name=SessionID,proto3" json:"SessionID,omitempty"`
	// old password
	OldPassHash []byte `protobuf:"bytes,4,opt,name=OldPassHash,proto3" json:"OldPassHash,omitempty"`
	// new password
	NewPassHash []byte `protobuf:"bytes,5,opt,name=NewPassHash,proto3" json:"NewPassHash,omitempty"`
	// new password hash method
	NewPassHashMethod int32 `protobuf:"varint,6,opt,name=NewPassHashMethod,proto3" json:"NewPassHashMethod,omitempty"`
	// new password salt
	NewSalt string `protobuf:"bytes,7,opt,name=NewSalt,proto3" json:"NewSalt,omitempty"`
}

func (x *ChangePasswordReq) Reset() {
	*x = ChangePasswordReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChangePasswordReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChangePasswordReq) ProtoMessage() {}

func (x *ChangePasswordReq) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChangePasswordReq.ProtoReflect.Descriptor instead.
func (*ChangePasswordReq) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{5}
}

func (x *ChangePasswordReq) GetSys() string {
	if x != nil {
		return x.Sys
	}
	return ""
}

func (x *ChangePasswordReq) GetUserName() string {
	if x != nil {
		return x.UserName
	}
	return ""
}

func (x *ChangePasswordReq) GetSessionID() []byte {
	if x != nil {
		return x.SessionID
	}
	return nil
}

func (x *ChangePasswordReq) GetOldPassHash() []byte {
	if x != nil {
		return x.OldPassHash
	}
	return nil
}

func (x *ChangePasswordReq) GetNewPassHash() []byte {
	if x != nil {
		return x.NewPassHash
	}
	return nil
}

func (x *ChangePasswordReq) GetNewPassHashMethod() int32 {
	if x != nil {
		return x.NewPassHashMethod
	}
	return 0
}

func (x *ChangePasswordReq) GetNewSalt() string {
	if x != nil {
		return x.NewSalt
	}
	return ""
}

//修改密码回应
type ChangePasswordResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//回应码，0:成功，1:旧密码错误，3:新密码编码方式错误，5:未知错误
	Code int32 `protobuf:"varint,1,opt,name=Code,proto3" json:"Code,omitempty"`
	//提示/错误信息
	Info string `protobuf:"bytes,2,opt,name=Info,proto3" json:"Info,omitempty"`
}

func (x *ChangePasswordResp) Reset() {
	*x = ChangePasswordResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_logon_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChangePasswordResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChangePasswordResp) ProtoMessage() {}

func (x *ChangePasswordResp) ProtoReflect() protoreflect.Message {
	mi := &file_proto_logon_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChangePasswordResp.ProtoReflect.Descriptor instead.
func (*ChangePasswordResp) Descriptor() ([]byte, []int) {
	return file_proto_logon_proto_rawDescGZIP(), []int{6}
}

func (x *ChangePasswordResp) GetCode() int32 {
	if x != nil {
		return x.Code
	}
	return 0
}

func (x *ChangePasswordResp) GetInfo() string {
	if x != nil {
		return x.Info
	}
	return ""
}

var File_proto_logon_proto protoreflect.FileDescriptor

var file_proto_logon_proto_rawDesc = []byte{
	0x0a, 0x11, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6c, 0x6f, 0x67, 0x6f, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x04, 0x62, 0x61, 0x73, 0x65, 0x22, 0x56, 0x0a, 0x0a, 0x43, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x14, 0x0a, 0x05, 0x4d, 0x6f, 0x64, 0x65, 0x6c,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x18, 0x0a,
	0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x43, 0x68, 0x61, 0x6e, 0x6e,
	0x65, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x43, 0x68, 0x61, 0x6e, 0x6e, 0x65,
	0x6c, 0x22, 0x94, 0x02, 0x0a, 0x08, 0x4c, 0x6f, 0x67, 0x69, 0x6e, 0x52, 0x65, 0x71, 0x12, 0x10,
	0x0a, 0x03, 0x53, 0x79, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x53, 0x79, 0x73,
	0x12, 0x1a, 0x0a, 0x08, 0x55, 0x73, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x55, 0x73, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08,
	0x50, 0x61, 0x73, 0x73, 0x48, 0x61, 0x73, 0x68, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x08,
	0x50, 0x61, 0x73, 0x73, 0x48, 0x61, 0x73, 0x68, 0x12, 0x26, 0x0a, 0x0e, 0x50, 0x61, 0x73, 0x73,
	0x48, 0x61, 0x73, 0x68, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x0e, 0x50, 0x61, 0x73, 0x73, 0x48, 0x61, 0x73, 0x68, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64,
	0x12, 0x12, 0x0a, 0x04, 0x53, 0x61, 0x6c, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x53, 0x61, 0x6c, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x54, 0x69,
	0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x54, 0x69, 0x6d, 0x65, 0x12, 0x30, 0x0a, 0x0a, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x54, 0x79,
	0x70, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x10, 0x2e, 0x62, 0x61, 0x73, 0x65, 0x2e,
	0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0a, 0x43, 0x6c, 0x69, 0x65,
	0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x30, 0x0a, 0x0a, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x49, 0x6e, 0x66, 0x6f, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x62, 0x61, 0x73,
	0x65, 0x2e, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x43, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0x66, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x69,
	0x6e, 0x52, 0x65, 0x73, 0x70, 0x12, 0x27, 0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x62, 0x61, 0x73, 0x65, 0x2e, 0x4c, 0x6f, 0x67, 0x6f, 0x6e,
	0x52, 0x65, 0x73, 0x70, 0x43, 0x6f, 0x64, 0x65, 0x52, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x1c,
	0x0a, 0x09, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0c, 0x52, 0x09, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x12, 0x12, 0x0a, 0x04,
	0x49, 0x6e, 0x66, 0x6f, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x49, 0x6e, 0x66, 0x6f,
	0x22, 0x57, 0x0a, 0x09, 0x4c, 0x6f, 0x67, 0x6f, 0x75, 0x74, 0x52, 0x65, 0x71, 0x12, 0x10, 0x0a,
	0x03, 0x53, 0x79, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x53, 0x79, 0x73, 0x12,
	0x1a, 0x0a, 0x08, 0x55, 0x73, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x55, 0x73, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x53,
	0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09,
	0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x22, 0x35, 0x0a, 0x0a, 0x4c, 0x6f, 0x67,
	0x6f, 0x75, 0x74, 0x52, 0x65, 0x73, 0x70, 0x12, 0x27, 0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x62, 0x61, 0x73, 0x65, 0x2e, 0x4c, 0x6f, 0x67,
	0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x43, 0x6f, 0x64, 0x65, 0x52, 0x04, 0x43, 0x6f, 0x64, 0x65,
	0x22, 0xeb, 0x01, 0x0a, 0x11, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x12, 0x10, 0x0a, 0x03, 0x53, 0x79, 0x73, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x53, 0x79, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x55, 0x73, 0x65, 0x72,
	0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x55, 0x73, 0x65, 0x72,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x49,
	0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e,
	0x49, 0x44, 0x12, 0x20, 0x0a, 0x0b, 0x4f, 0x6c, 0x64, 0x50, 0x61, 0x73, 0x73, 0x48, 0x61, 0x73,
	0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0b, 0x4f, 0x6c, 0x64, 0x50, 0x61, 0x73, 0x73,
	0x48, 0x61, 0x73, 0x68, 0x12, 0x20, 0x0a, 0x0b, 0x4e, 0x65, 0x77, 0x50, 0x61, 0x73, 0x73, 0x48,
	0x61, 0x73, 0x68, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0b, 0x4e, 0x65, 0x77, 0x50, 0x61,
	0x73, 0x73, 0x48, 0x61, 0x73, 0x68, 0x12, 0x2c, 0x0a, 0x11, 0x4e, 0x65, 0x77, 0x50, 0x61, 0x73,
	0x73, 0x48, 0x61, 0x73, 0x68, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x11, 0x4e, 0x65, 0x77, 0x50, 0x61, 0x73, 0x73, 0x48, 0x61, 0x73, 0x68, 0x4d, 0x65,
	0x74, 0x68, 0x6f, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x4e, 0x65, 0x77, 0x53, 0x61, 0x6c, 0x74, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x4e, 0x65, 0x77, 0x53, 0x61, 0x6c, 0x74, 0x22, 0x3c,
	0x0a, 0x12, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x52, 0x65, 0x73, 0x70, 0x12, 0x12, 0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x49, 0x6e, 0x66, 0x6f,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x49, 0x6e, 0x66, 0x6f, 0x2a, 0x69, 0x0a, 0x0a,
	0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0b, 0x0a, 0x07, 0x55, 0x4e,
	0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x57, 0x45, 0x42, 0x43, 0x4c,
	0x49, 0x45, 0x4e, 0x54, 0x10, 0x01, 0x12, 0x11, 0x0a, 0x0d, 0x41, 0x4e, 0x44, 0x52, 0x4f, 0x49,
	0x44, 0x43, 0x4c, 0x49, 0x45, 0x4e, 0x54, 0x10, 0x02, 0x12, 0x0d, 0x0a, 0x09, 0x49, 0x4f, 0x53,
	0x43, 0x4c, 0x49, 0x45, 0x4e, 0x54, 0x10, 0x03, 0x12, 0x0c, 0x0a, 0x08, 0x50, 0x43, 0x43, 0x4c,
	0x49, 0x45, 0x4e, 0x54, 0x10, 0x04, 0x12, 0x0f, 0x0a, 0x0b, 0x45, 0x4d, 0x42, 0x45, 0x44, 0x43,
	0x4c, 0x49, 0x45, 0x4e, 0x54, 0x10, 0x05, 0x2a, 0x92, 0x01, 0x0a, 0x0d, 0x4c, 0x6f, 0x67, 0x6f,
	0x6e, 0x52, 0x65, 0x73, 0x70, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x75, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x53, 0x79, 0x73, 0x45, 0x72, 0x72,
	0x10, 0x01, 0x12, 0x0f, 0x0a, 0x0b, 0x55, 0x73, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x45, 0x72,
	0x72, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x50, 0x61, 0x73, 0x73, 0x45, 0x72, 0x72, 0x10, 0x03,
	0x12, 0x15, 0x0a, 0x11, 0x50, 0x61, 0x73, 0x73, 0x48, 0x61, 0x73, 0x68, 0x4d, 0x65, 0x74, 0x68,
	0x6f, 0x64, 0x45, 0x72, 0x72, 0x10, 0x04, 0x12, 0x10, 0x0a, 0x0c, 0x53, 0x65, 0x73, 0x73, 0x69,
	0x6f, 0x6e, 0x49, 0x44, 0x45, 0x72, 0x72, 0x10, 0x05, 0x12, 0x11, 0x0a, 0x0d, 0x43, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x45, 0x72, 0x72, 0x10, 0x06, 0x12, 0x0e, 0x0a, 0x0a,
	0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x45, 0x72, 0x72, 0x10, 0x0f, 0x42, 0x1e, 0x5a, 0x1c,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6b, 0x69, 0x63, 0x61, 0x64,
	0x39, 0x39, 0x2f, 0x6b, 0x61, 0x70, 0x69, 0x2f, 0x62, 0x61, 0x73, 0x65, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_logon_proto_rawDescOnce sync.Once
	file_proto_logon_proto_rawDescData = file_proto_logon_proto_rawDesc
)

func file_proto_logon_proto_rawDescGZIP() []byte {
	file_proto_logon_proto_rawDescOnce.Do(func() {
		file_proto_logon_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_logon_proto_rawDescData)
	})
	return file_proto_logon_proto_rawDescData
}

var file_proto_logon_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_proto_logon_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_proto_logon_proto_goTypes = []interface{}{
	(ClientType)(0),            // 0: base.ClientType
	(LogonRespCode)(0),         // 1: base.LogonRespCode
	(*ClientInfo)(nil),         // 2: base.ClientInfo
	(*LoginReq)(nil),           // 3: base.LoginReq
	(*LoginResp)(nil),          // 4: base.LoginResp
	(*LogoutReq)(nil),          // 5: base.LogoutReq
	(*LogoutResp)(nil),         // 6: base.LogoutResp
	(*ChangePasswordReq)(nil),  // 7: base.ChangePasswordReq
	(*ChangePasswordResp)(nil), // 8: base.ChangePasswordResp
}
var file_proto_logon_proto_depIdxs = []int32{
	0, // 0: base.LoginReq.ClientType:type_name -> base.ClientType
	2, // 1: base.LoginReq.ClientInfo:type_name -> base.ClientInfo
	1, // 2: base.LoginResp.Code:type_name -> base.LogonRespCode
	1, // 3: base.LogoutResp.Code:type_name -> base.LogonRespCode
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_proto_logon_proto_init() }
func file_proto_logon_proto_init() {
	if File_proto_logon_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_logon_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClientInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_logon_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LoginReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_logon_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LoginResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_logon_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LogoutReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_logon_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LogoutResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_logon_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChangePasswordReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_logon_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChangePasswordResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_logon_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_proto_logon_proto_goTypes,
		DependencyIndexes: file_proto_logon_proto_depIdxs,
		EnumInfos:         file_proto_logon_proto_enumTypes,
		MessageInfos:      file_proto_logon_proto_msgTypes,
	}.Build()
	File_proto_logon_proto = out.File
	file_proto_logon_proto_rawDesc = nil
	file_proto_logon_proto_goTypes = nil
	file_proto_logon_proto_depIdxs = nil
}
